Carlton,

 

I am not sure I understand. Have you made changes to the plugin in the latest release and want me to try it? Or were you going to attach a modified version of gunzip with your email?

 

-          Sid

 

From: Zachary, Carlton - Hoboken [mailto:czachary@wiley.com]
Sent: Friday, February 10, 2012 10:11 AM
To: users@trafficserver.apache.org
Subject: RE: gunzip.c plugin error: failed assert

 

Ok,

 

Please try now.

 

From: Siddharth Wagh [mailto:siddharth.wagh@altior.com]
Sent: Friday, February 10, 2012 10:05 AM
To: users@trafficserver.apache.org
Subject: gunzip.c plugin error: failed assert

 

Hi all

I am trying to use gunzip plugin with the traffic server (v3.0.2) which loads fine, but gives the following error when web requests come in:

FATAL: InkAPI.cc:3195: failed assert ‘idx >= 0’

Is this a known issue? I compared the gunzip.c file with the one in 3.1.1 release and find no major difference. I had faced the same problem with gzip.c, but a modified working plugin was available in this post:

http://www.mail-archive.com/dev@trafficserver.apache.org/msg03038.html

I am not able to find a similar patch for the gunzip file. Any pointers?

-          Sid